Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Java Development

Reply
New Contributor
stephanemaurice
Posts: 5
Registered: ‎10-17-2012
My Device: Bold 9900
Accepted Solution

OS 6 Jdk 7

Hi, 

 

I have developped a little apllication with Eclipse and the blackberry java plugin that I have just downloaded on your site a week ago : 

Eclipse SDK

Version: 3.7.2

BlackBerry Java SDK

Version: 7.1.0.10

When I load the application on a blackberry device with OS 7, it works perfectly, but on a device with OS 6, I have the an error like : Error starting : Module attempts to acces a secure API.

So i have try to install the plugin BlackBerry Java SDK 6 thrue install new software in the menu Help of Eclipse. But I have always the same error : Unable to read repository at https://developer.blackberry.com/java/download/eclipse#addUpdateSite

Two questions : Is it because I 'm working with blackberry java SDK 7 that I don't manage to use my application on OS 6 ?

If yes, how can I install the blackberry jdk 6 in Eclipse ?

 

Thanks for your Help 

 

Please use plain text.
Developer
simon_hain
Posts: 16,133
Registered: ‎07-29-2008
My Device: Z10 LE, Z30, Passport

Re: OS 6 Jdk 7

welcome to the support forums.

the JDK used must always be the same or lower than the device version. sometimes it works anyhow, but it is not advised to try as there could be side effects.

the URL for the update site is
http://www.blackberry.com/developers/jar/win/java
you should be able to install JDK 6 from there.
----------------------------------------------------------
feel free to press the like button on the right side to thank the user that helped you.
please mark posts as solved if you found a solution.
@SimonHain on twitter
Please use plain text.
Developer
hemant_sain
Posts: 180
Registered: ‎12-09-2011
My Device: 9360, BB10

Re: OS 6 Jdk 7

[ Edited ]

you can download the desired Blackberry JDE Version from the following link:

 

https://developer.blackberry.com/java/download/previousjdeversions/

Please use plain text.
Developer
simon_hain
Posts: 16,133
Registered: ‎07-29-2008
My Device: Z10 LE, Z30, Passport

Re: OS 6 Jdk 7


hemant_sain wrote:

you can download the desired eclipse of desire os plugin from the following link:

 

https://developer.blackberry.com/java/download/previousjdeversions/


Noooooo

These are JDE versions, don't use them until you really know what you are doing :smileyhappy:

 

----------------------------------------------------------
feel free to press the like button on the right side to thank the user that helped you.
please mark posts as solved if you found a solution.
@SimonHain on twitter
Please use plain text.
Developer
hemant_sain
Posts: 180
Registered: ‎12-09-2011
My Device: 9360, BB10

Re: OS 6 Jdk 7

Thanks SImon for correcting me but by mistake i printed that line. :smileyhappy:

Please use plain text.
New Contributor
stephanemaurice
Posts: 5
Registered: ‎10-17-2012
My Device: Bold 9900

Re: OS 6 Jdk 7

Hi,

 

Thanks for your replay,

 

I try with this Url, and found the jdk6 but I have the foloowing error during the installation :

An error occurred while collecting items to be installed
session context was:smileysad:profile=SDKProfile, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).
Unable to read repository at http://downloads.blackberry.com/upr/developers/Win/net.rim.ejde.componentpack6.0.0_6.0.0.43.jar.
Timeout while reading input stream.
The following system properties can be used to adjust the readTimeout, retryAttempts, and closeTimeout
org.eclipse.ecf.provider.filetransfer.retrieve.readTimeout=<default:1000>
org.eclipse.ecf.provider.filetransfer.retrieve.retryAttempts=<default:30>
org.eclipse.ecf.provider.filetransfer.retrieve.closeTimeout=<default:1000>

HTTP Server Unknown HTTP Response Code (302):https://swdownloads.blackberry.com/Downloads/auth/contactFormPreload.do?code=DC727151E5D55DDE1E95076...
General connection error with response code=302

 

Any idee ?

Please use plain text.
Developer
simon_hain
Posts: 16,133
Registered: ‎07-29-2008
My Device: Z10 LE, Z30, Passport

Re: OS 6 Jdk 7

strange, i can download the jar file from the first link just fine (just remove the last dot from the link).
Can you open it from a browser?

Luxembourg should not have any issues with import control or the like :smileyhappy:
----------------------------------------------------------
feel free to press the like button on the right side to thank the user that helped you.
please mark posts as solved if you found a solution.
@SimonHain on twitter
Please use plain text.
New Contributor
stephanemaurice
Posts: 5
Registered: ‎10-17-2012
My Device: Bold 9900

Re: OS 6 Jdk 7

Hi,

 

It was a problem with my firewall :-(

It was forbidden for me to download the jar file.

Now I have find a way to install it in my Eclipse and it works

 

Thanks a lot

 

 

 

Please use plain text.